Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/ICE/icedyn_adv_pra.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/ICE/icedyn_adv_pra.F90	(revision 12560)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/ICE/icedyn_adv_pra.F90	(revision 12738)
@@ -772,64 +772,64 @@
             !
             !                                                        ! ice thickness
-            CALL iom_get( numrir, jpdom_autoglo, 'sxice' , sxice  )
-            CALL iom_get( numrir, jpdom_autoglo, 'syice' , syice  )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxxice', sxxice )
-            CALL iom_get( numrir, jpdom_autoglo, 'syyice', syyice )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxyice', sxyice )
+            CALL iom_get( numrir, jpdom_auto, 'sxice' , sxice  )
+            CALL iom_get( numrir, jpdom_auto, 'syice' , syice  )
+            CALL iom_get( numrir, jpdom_auto, 'sxxice', sxxice )
+            CALL iom_get( numrir, jpdom_auto, 'syyice', syyice )
+            CALL iom_get( numrir, jpdom_auto, 'sxyice', sxyice )
             !                                                        ! snow thickness
-            CALL iom_get( numrir, jpdom_autoglo, 'sxsn'  , sxsn   )
-            CALL iom_get( numrir, jpdom_autoglo, 'sysn'  , sysn   )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxxsn' , sxxsn  )
-            CALL iom_get( numrir, jpdom_autoglo, 'syysn' , syysn  )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxysn' , sxysn  )
+            CALL iom_get( numrir, jpdom_auto, 'sxsn'  , sxsn   )
+            CALL iom_get( numrir, jpdom_auto, 'sysn'  , sysn   )
+            CALL iom_get( numrir, jpdom_auto, 'sxxsn' , sxxsn  )
+            CALL iom_get( numrir, jpdom_auto, 'syysn' , syysn  )
+            CALL iom_get( numrir, jpdom_auto, 'sxysn' , sxysn  )
             !                                                        ! ice concentration
-            CALL iom_get( numrir, jpdom_autoglo, 'sxa'   , sxa    )
-            CALL iom_get( numrir, jpdom_autoglo, 'sya'   , sya    )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxxa'  , sxxa   )
-            CALL iom_get( numrir, jpdom_autoglo, 'syya'  , syya   )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxya'  , sxya   )
+            CALL iom_get( numrir, jpdom_auto, 'sxa'   , sxa    )
+            CALL iom_get( numrir, jpdom_auto, 'sya'   , sya    )
+            CALL iom_get( numrir, jpdom_auto, 'sxxa'  , sxxa   )
+            CALL iom_get( numrir, jpdom_auto, 'syya'  , syya   )
+            CALL iom_get( numrir, jpdom_auto, 'sxya'  , sxya   )
             !                                                        ! ice salinity
-            CALL iom_get( numrir, jpdom_autoglo, 'sxsal' , sxsal  )
-            CALL iom_get( numrir, jpdom_autoglo, 'sysal' , sysal  )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxxsal', sxxsal )
-            CALL iom_get( numrir, jpdom_autoglo, 'syysal', syysal )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxysal', sxysal )
+            CALL iom_get( numrir, jpdom_auto, 'sxsal' , sxsal  )
+            CALL iom_get( numrir, jpdom_auto, 'sysal' , sysal  )
+            CALL iom_get( numrir, jpdom_auto, 'sxxsal', sxxsal )
+            CALL iom_get( numrir, jpdom_auto, 'syysal', syysal )
+            CALL iom_get( numrir, jpdom_auto, 'sxysal', sxysal )
             !                                                        ! ice age
-            CALL iom_get( numrir, jpdom_autoglo, 'sxage' , sxage  )
-            CALL iom_get( numrir, jpdom_autoglo, 'syage' , syage  )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxxage', sxxage )
-            CALL iom_get( numrir, jpdom_autoglo, 'syyage', syyage )
-            CALL iom_get( numrir, jpdom_autoglo, 'sxyage', sxyage )
+            CALL iom_get( numrir, jpdom_auto, 'sxage' , sxage  )
+            CALL iom_get( numrir, jpdom_auto, 'syage' , syage  )
+            CALL iom_get( numrir, jpdom_auto, 'sxxage', sxxage )
+            CALL iom_get( numrir, jpdom_auto, 'syyage', syyage )
+            CALL iom_get( numrir, jpdom_auto, 'sxyage', sxyage )
             !                                                        ! snow layers heat content
             DO jk = 1, nlay_s
                WRITE(zchar1,'(I2.2)') jk
-               znam = 'sxc0'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxc0 (:,:,jk,:) = z3d(:,:,:)
-               znam = 'syc0'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   syc0 (:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxxc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxxc0(:,:,jk,:) = z3d(:,:,:)
-               znam = 'syyc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   syyc0(:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxyc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxyc0(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxc0'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxc0 (:,:,jk,:) = z3d(:,:,:)
+               znam = 'syc0'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   syc0 (:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxxc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxxc0(:,:,jk,:) = z3d(:,:,:)
+               znam = 'syyc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   syyc0(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxyc0'//'_l'//zchar1 ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxyc0(:,:,jk,:) = z3d(:,:,:)
             END DO
             !                                                        ! ice layers heat content
             DO jk = 1, nlay_i
                WRITE(zchar1,'(I2.2)') jk
-               znam = 'sxe'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
-               znam = 'sye'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sye (:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxxe'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
-               znam = 'syye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   syye(:,:,jk,:) = z3d(:,:,:)
-               znam = 'sxye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_autoglo, znam , z3d )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxe'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxe (:,:,jk,:) = z3d(:,:,:)
+               znam = 'sye'//'_l'//zchar1   ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sye (:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxxe'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxxe(:,:,jk,:) = z3d(:,:,:)
+               znam = 'syye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   syye(:,:,jk,:) = z3d(:,:,:)
+               znam = 'sxye'//'_l'//zchar1  ;   CALL iom_get( numrir, jpdom_auto, znam , z3d )   ;   sxye(:,:,jk,:) = z3d(:,:,:)
             END DO
             !
             IF( ln_pnd_H12 ) THEN                                    ! melt pond fraction
-               CALL iom_get( numrir, jpdom_autoglo, 'sxap' , sxap  )
-               CALL iom_get( numrir, jpdom_autoglo, 'syap' , syap  )
-               CALL iom_get( numrir, jpdom_autoglo, 'sxxap', sxxap )
-               CALL iom_get( numrir, jpdom_autoglo, 'syyap', syyap )
-               CALL iom_get( numrir, jpdom_autoglo, 'sxyap', sxyap )
+               CALL iom_get( numrir, jpdom_auto, 'sxap' , sxap  )
+               CALL iom_get( numrir, jpdom_auto, 'syap' , syap  )
+               CALL iom_get( numrir, jpdom_auto, 'sxxap', sxxap )
+               CALL iom_get( numrir, jpdom_auto, 'syyap', syyap )
+               CALL iom_get( numrir, jpdom_auto, 'sxyap', sxyap )
                !                                                     ! melt pond volume
-               CALL iom_get( numrir, jpdom_autoglo, 'sxvp' , sxvp  )
-               CALL iom_get( numrir, jpdom_autoglo, 'syvp' , syvp  )
-               CALL iom_get( numrir, jpdom_autoglo, 'sxxvp', sxxvp )
-               CALL iom_get( numrir, jpdom_autoglo, 'syyvp', syyvp )
-               CALL iom_get( numrir, jpdom_autoglo, 'sxyvp', sxyvp )
+               CALL iom_get( numrir, jpdom_auto, 'sxvp' , sxvp  )
+               CALL iom_get( numrir, jpdom_auto, 'syvp' , syvp  )
+               CALL iom_get( numrir, jpdom_auto, 'sxxvp', sxxvp )
+               CALL iom_get( numrir, jpdom_auto, 'syyvp', syyvp )
+               CALL iom_get( numrir, jpdom_auto, 'sxyvp', sxyvp )
             ENDIF
             !
